Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.keyresolver.implementations
Class X509DigestResolver

    java.lang.Object
      org.apache.xml.security.keys.keyresolver.KeyResolverSpi
          org.apache.xml.security.keys.keyresolver.implementations.X509DigestResolver

    public class X509DigestResolver

extends KeyResolverSpi

KeyResolverSpi implementation which resolves public keys and X.509 certificates from a `dsig11:X509Digest` element.

Author:
  Brent Putman (putmanb@georgetown.edu)

Field Summary

Fields inherited from class org.apache.xml.security.keys.keyresolver.KeyResolverSpi
`globalResolver, properties, secureValidation`

Constructor Summary
`X509DigestResolver()`

Method Summary
`boolean` | `engineCanResolve(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` This method returns whether the KeyResolverSpi is able to perform the requested action..
`java.security.PublicKey` | `engineLookupAndResolvePublicKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupAndResolvePublicKey.
`javax.crypto.SecretKey` | `engineLookupAndResolveSecretKey(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupAndResolveSecretKey.
`java.security.cert.X509Certificate` | `engineLookupResolveX509Certificate(org.w3c.dom.Element element, java.lang.String baseURI, StorageResolver storage)` Method engineLookupResolveX509Certificate.

Methods inherited from class org.apache.xml.security.keys.keyresolver.KeyResolverSpi
`engineGetProperty, engineLookupAndResolvePrivateKey, engineResolvePublicKey, engineResolveSecretKey, engineResolveX509Certificate, engineSetProperty, setGlobalResolver, setSecureValidation, understandsProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509DigestResolver

    public X509DigestResolver()

Method Detail

### engineCanResolve

    public boolean engineCanResolve(org.w3c.dom.Element element,
                                    java.lang.String baseURI,
                                    StorageResolver storage)

  This method returns whether the KeyResolverSpi is able to perform the requested action..

  Overrides:
    `engineCanResolve` in class `KeyResolverSpi`
  Returns:
    whether the KeyResolverSpi is able to perform the requested action.

### engineLookupAndResolvePublicKey

    public java.security.PublicKey engineLookupAndResolvePublicKey(org.w3c.dom.Element element,
                                                                   java.lang.String baseURI,
                                                                   StorageResolver storage)
                                                            throws KeyResolverException

  Method engineLookupAndResolvePublicKey.

  Overrides:
    `engineLookupAndResolvePublicKey` in class `KeyResolverSpi`
  Returns:
    resolved public key from the registered from the element.
  Throws:
    `KeyResolverException`

### engineLookupResolveX509Certificate

    public java.security.cert.X509Certificate engineLookupResolveX509Certificate(org.w3c.dom.Element element,
                                                                                 java.lang.String baseURI,
                                                                                 StorageResolver storage)
                                                                          throws KeyResolverException

  Method engineLookupResolveX509Certificate.

  Overrides:
    `engineLookupResolveX509Certificate` in class `KeyResolverSpi`
  Returns:
    resolved X509Certificate key from the registered from the elements
  Throws:
    `KeyResolverException`

### engineLookupAndResolveSecretKey

    public javax.crypto.SecretKey engineLookupAndResolveSecretKey(org.w3c.dom.Element element,
                                                                  java.lang.String baseURI,
                                                                  StorageResolver storage)
                                                           throws KeyResolverException

  Method engineLookupAndResolveSecretKey.

  Overrides:
    `engineLookupAndResolveSecretKey` in class `KeyResolverSpi`
  Returns:
    resolved SecretKey key from the registered from the elements
  Throws:
    `KeyResolverException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD